Bug 869746 - anaconda should print unknown platform information
anaconda should print unknown platform information
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
ppc64 All
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 14:00 EDT by IBM Bug Proxy
Modified: 2013-01-20 10:36 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-18.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 10:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 83226 None None None 2012-10-24 14:00:54 EDT

  None (edit)
Description IBM Bug Proxy 2012-10-24 14:00:54 EDT
While testing in OPP mode, I tried to install FC17 and hit:

Traceback (most recent call last):
      File "/usr/sbin/anaconda", line 782, in <module>
        anaconda.storage.config.zeroMbr = anaconda.ksdata.zerombr.zerombr
      File "/usr/lib64/python2.7/site-packages/pyanaconda/__init__.py", line 187, in storage
        self._storage = storage.Storage(anaconda=self)
      File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 370, in __init__
        dasd=self.dasd)
      File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 177, in __init__
        self.platform = platform.getPlatform(None)
      File "/usr/lib64/python2.7/site-packages/pyanaconda/platform.py", line 354, in getPlatform
        raise SystemError, "Unsupported PPC machine type"
    SystemError: Unsupported PPC machine type
    [  250.352859] audit: *NO* daemon at audit_pid=1077 

and the install hung.

While the installer hang is obviously bad, it's frustrating that the "why" is not complete here. anaconda should print out the machine type it doesn't like so that the code can be updated if appropriate.
Comment 2 Chris Lumens 2012-10-25 11:22:46 EDT
Pushed, thanks.

Note You need to log in before you can comment on or make changes to this bug.